using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public static class Rule2208
    {
        public static void ThrowException(int value)
        {
            switch (value)
            {
                case 0:
                    throw new ArgumentException();
                case 1:
                    throw new ArgumentException("value");
                case 2:
                    throw new ArgumentException("Argument is invalid.", "invalid");
            }
        }
    }
}
